Name:           eclipse-fedorapackager
Version:        0.6.0
Release:        4%{?dist}
Summary:        Fedora Packager for Eclipse

License:        EPL
URL:            https://pagure.io/eclipse-fedorapackager
Source0:        https://pagure.io/releases/%{name}/%{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: not-yet-commons-ssl >= 0.3.11-8
BuildRequires: google-gson
BuildRequires: eclipse-changelog
BuildRequires: eclipse-rpm-editor >= 0.10.0-0.1.20110815git2168cacb
BuildRequires: eclipse-linuxtools >= 0.2.0
BuildRequires: apache-commons-codec
BuildRequires: httpcomponents-client >= 4.1.1-3
BuildRequires: xmlrpc-client >= 3.1.3
BuildRequires: xmlrpc-common >= 3.1.3
BuildRequires: ws-commons-util >= 1.0.1-21
BuildRequires: eclipse-egit >= 1.1.0
BuildRequires: maven-local
BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: easymock
Requires: eclipse-platform >= 3.7.0
Requires: google-gson
Requires: not-yet-commons-ssl >= 0.3.11-8
Requires: eclipse-rpm-editor >= 0.10.0
Requires: eclipse-changelog
Requires: eclipse-linuxtools >= 0.2.0
Requires: httpcomponents-client >= 4.1.1-3
Requires: apache-commons-codec
Requires: xmlrpc-client >= 3.1.3
Requires: xmlrpc-common >= 3.1.3
Requires: ws-commons-util >= 1.0.1-21
Requires: eclipse-egit >= 1.1.0
Requires: fedora-packager
Requires: mock-scm

%description
Fedora Packager for Eclipse is an Eclipse plug-in, which helps
Fedora contributors to interact with Fedora infrastructure
such as Koji, Bodhi and Git.

%prep
%setup -q

%mvn_package ":*.tests" __noinstall

%build
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles
%doc org.fedoraproject.eclipse.packager-feature/*.html

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 29 2016 Alexander Kurtakov <akurtako@redhat.com> 0.6.0-1
- Update to 0.6.0 release.

* Fri May 06 2016 Sopot Cela <scela@redhat.com> - 0.6.0-0.1.gitb0ca8af
- Upgrade to build with Neon

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.5.0-6
- Rebuild as an Eclipse p2 Droplet.

* Fri Sep 11 2015 Alexander Kurtakov <akurtako@redhat.com>> 0.5.0-5
- Rebuild to fix symlinks for commons-ssl deps.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 06 2014 Mat Booth <mat.booth@redhat.com> - 0.5.0-3
- Use mvn_build/mvn_install.

* Thu Nov 06 2014 Mat Booth <mat.booth@redhat.com> - 0.5.0-2
- Fix broken symlink and unexploded features.

* Wed Sep 3 2014 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-1
- Update to upstream 0.5.0 release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 04 2014 Andrew Robinson <andjrobins@gmail.com> 0.4.1-9
- Replace retired eclipse-linuxprofilingframework dependency with eclipse-linuxtools

* Wed Jul 24 2013 Alexander Kurtakov <akurtako@redhat.com> 0.4.1-8
- Build with easymock3.

* Fri Jul 12 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.4.1-7
- RHBZ#964415
- RHBZ#984047

* Fri Feb 22 2013 Roland Grunberg <rgrunber@redhat.com> - 0.4.1-6
- Replace 'junit4' with 'junit'.

* Thu Feb 21 2013 Alexander Kurtakov <akurtako@redhat.com> 0.4.1-5
- Skip tycho versions check.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.4.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Sep 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.4.1-2
- Migrate from xmlrpc3 to xmlrpc.

* Mon Aug 20 2012 Andrew Robinson <arobinso@redhat.com> 0.4.1-1
- Update to 0.4.1.

* Fri Aug 03 2012 Andrew Robinson <arobinso@redhat.com> 0.4.0-1
- Update to 0.4.0.
- Build with Tycho

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 22 2012 Andrew Robinson <arobinso@redhat.com> 0.3.2-1
- Update to 0.3.2.

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.3.1-4
- Specify minimum BR/R for xmlrpc, ws-common-utils & not-yet-commons-ssl

* Wed Apr 18 2012 Andrew Robinson <arobinso@redhat.com> 0.3.1-3
- Remove bundled library

* Wed Apr 04 2012 Andrew Robinson <arobinso@redhat.com> 0.3.1-2
- Rebuild for 4.2 Eclipse.

* Fri Feb 17 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.3.1-1
- Update to upstream 0.3.1 release.
- Fixes Koji build push problems under Open JDK 7.

* Fri Feb 3 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.3.0-1
- Update to upstream release 0.3.0.

* Fri Feb 3 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.2.3-2
- Fix EGit requires.

* Fri Jan 13 2012 Andrew Robinson <arobinso@redhat.com> 0.2.3-1
- Update to 0.2.3.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 3 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-3
- Added BR in line with eclipse-rpmstubby Requires.

* Wed Nov 2 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-2
- Change eclipse-rpmstubby dep so it does not access eclipse-pde at runtime.

* Mon Oct 3 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-1
- Update to upstream 0.2.2 release.

* Thu Aug 25 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.2.1-1
- Update to upstream 0.2.1 release.
- Fix egit BR/R and add comments for Helios incompatibility.

* Mon Aug 15 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.2.0-1
- Update to upstream 0.2.0 release. See
  https://fedorahosted.org/eclipse-fedorapackager/wiki/ReleaseNotes0.2.0

* Wed Feb 9 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.12-1
- Update to upstream 0.1.12: Fix Koji SSL login mechanism,
  which changed server side.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-2
- Changed %%description.

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-1
- Update to upstream 0.1.11
- Fix Trac #42, #55.
- Update doc plug-in.
- Work around JGit bug #317411.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-3
- Fix NPE in hasLocalChanges() FpGitProjectBits also due to
  different branch naming.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-2
- Fix NPE in branch mapping due to changed "f14"-like branch
  naming.

* Tue Jan 11 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-1
- Update to upstream 0.1.10.
- Require EGit/JGit >= 0.10.0.

* Wed Dec 15 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-2
- Update to upstream 0.1.9.
- Explicitly set autokarma=true for new Bodhi updates.

* Wed Nov 17 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-1
- Experimental build including Bodhi updates reporting
  dialog.

* Wed Oct 20 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.8-1
- Improve error checking in import wizard.
- Update user documentation.
- Upstream release 0.1.8

* Tue Oct 19 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.7-1
- Include potential fix for Ticket #34 (download performance
  problem).

* Thu Oct 14 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.6-1
- Remove eclipse-jgit R/BR since JGit is required by EGit
- Note: EGit API isn't stable yet. So, this package (0.1.6) might
  or might not work with EGit 0.10.x. It's known to work with
  EGit 0.9.x.
- Finally fixes Trac #35
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35
  (Don't use 0.1.4/0.1.5 builds)
- Fixes Trac #38
  https://fedorahosted.org/eclipse-fedorapackager/ticket/38

* Wed Oct 13 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.5-1
- Fix Koji pop-up message early closure.
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35

* Tue Oct 5 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.4-1
- Update to upstream release 0.1.4.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-1
- Push release for actual build.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-0.1
- Better error checking in FedoraCheckoutWizard.java
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/31
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/36

* Fri Oct 1 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.2-1
- Fix getDistDefines() in FedoraHandlerUtils.

* Thu Sep 30 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-2
- Spin new release to fix replace sources bug.

* Wed Sep 29 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-1
- Update to upstream 0.1.1
- Various bug fixes.

* Fri Aug 27 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.3
- Updated Eclipse help for Eclipse Fedora Packager.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.2
- Fix feature and bundle version, egit/jgit dependencies.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.1.0-0.1
- Rebase to 0.1.0 (introduces dist-git support).

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-6
- Push release for tagging

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-5
- Fix getMD5(). Wrong method has been used

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-4
- Fix NoSuchMethodError in getMD5()

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-3
- Updated to latest upstream
- Added get-eclipse-fedorapackager-sources.sh

* Wed Jun 23 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-2
- Fixed ambiguous Source0/Source1
- Removed -D -v switches of pdebuild call
- Bumped release version

* Tue Jun 22 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-1
- Initial release
